using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IRouteReserveLogic
    {
        List<RouteReserveViewModel>? ReadList(RouteReserveSearchModel? model);
        RouteReserveViewModel? ReadElement(RouteReserveSearchModel model);
        bool Create(RouteReserveBindingModel model);
        bool Update(RouteReserveBindingModel model);
        bool Delete(RouteReserveBindingModel model);
    }
}
